Skip to content
EN

获取环境声音模板

方法: GET路径: /higgsfield/tpl/sounds

HIGGSFIELD.5.4 获取环境声音模板列表 [背景音]

请求参数

Query 参数

text
size
integer
返回的模板数量
可选
示例:
14

Header 参数

text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
size
integer
每页返回数量
可选
默认值:
14
示例
{
"size"
:
14
}

请求示例代码

Shell

bash
curl --location --request GET '/higgsfield/tpl/sounds?size=14' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "size": 14
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
items
array
[object]
必需
id
string
可选
name
string
可选
description
string
可选
sound_url
string
可选
waveform_url
string
可选
total
integer
必需
cursor
integer
必需

示例

json
{
  "items": [
    {
      "id": "DwUP9LmFKqHsvvWQkjLE6",
      "name": "room",
      "description": "Low hum",
      "sound_url": "https://dqv0cqkoy5oj7.cloudfront.net/voices_preset/room.wav",
      "waveform_url": "https://d1xarpci4ikg0w.cloudfront.net/bc46457d-e6ee-4468-a4d0-f8d41a4cefb3.json"
    }
  ],
  "total": 11,
  "cursor": 2
}